JpegStrings (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg
Class JpegStrings

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg.JpegStrings

    public class JpegStrings

extends java.lang.Object

A class for holding arrays of informative strings that will go into properties of a JPEG object.

Field Summary
`static java.lang.String[]` | `CAPABILITY_V0` Values for capability indicator byte for Version 0
`static java.lang.String[]` | `CAPABILITY_V1` Values for capability indicator byte for Version 1.
`static java.lang.String[]` | `COMPRESSION_TYPE` JPEG compression types, indexed on marker byte - 0XC0.
`static java.lang.String[]` | `DAC_CLASS`
`static java.lang.String[]` | `DQT_PRECISION`
`static java.lang.String[]` | `TILING_CAPABILITY_V1`
`static java.lang.String[]` | `TILING_TYPE`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPRESSION_TYPE

    public static final java.lang.String[] COMPRESSION_TYPE

  JPEG compression types, indexed on marker byte - 0XC0. This applies only to marker codes for the primary image; thumbnail compression schemes are completely incompatible.

### CAPABILITY_V0

    public static final java.lang.String[] CAPABILITY_V0

  Values for capability indicator byte for Version 0

### CAPABILITY_V1

    public static final java.lang.String[] CAPABILITY_V1

  Values for capability indicator byte for Version 1. These are by bit position from right to left.

### TILING_CAPABILITY_V1

    public static final java.lang.String[] TILING_CAPABILITY_V1

### TILING_TYPE

    public static final java.lang.String[] TILING_TYPE

### DQT_PRECISION

    public static final java.lang.String[] DQT_PRECISION

### DAC_CLASS

    public static final java.lang.String[] DAC_CLASS

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD